# Uses of Class
org.apache.lucene.util.packed.DirectMonotonicReader.Meta

Packages that use DirectMonotonicReader.Meta
Package
Description
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of DirectMonotonicReader.Meta in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return DirectMonotonicReader.Meta
  Modifier and Type
  Method
  Description
  `static DirectMonotonicReader.Meta`
  DirectMonotonicReader.`loadMeta(IndexInput metaIn, long numValues, int blockShift)`
  Load metadata from the given `IndexInput`.
  Methods in org.apache.lucene.util.packed with parameters of type DirectMonotonicReader.Meta
  Modifier and Type
  Method
  Description
  `static DirectMonotonicReader`
  DirectMonotonicReader.`getInstance(DirectMonotonicReader.Meta meta, RandomAccessInput data)`
  Retrieves a non-merging instance from the specified slice.
  `static DirectMonotonicReader`
  DirectMonotonicReader.`getInstance(DirectMonotonicReader.Meta meta, RandomAccessInput data, boolean merging)`
  Retrieves an instance from the specified slice.